Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155366 - 20041216 ROSE ndigis verification
Summary: 20041216 ROSE ndigis verification
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 15:47 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 02:31:03 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-04-19 15:47:13 UTC
An error exists in ROSE due to missing verification of the ndigis argument of
new routes.  This was found by Coverity 20041216, rose_rt_ioctl.

http://linux.bkbits.net:8080/linux-2.6/cset@423114bcdthRtmtdS6MsZiBVvteGCg
http://linux.bkbits.net:8080/linux-2.4/cset@41e2cf515TpixcVQ8q8HvQvCv9E6zA

Comment 1 Dave Jones 2005-04-20 02:31:03 UTC
this doesnt get built for RHEL4. In fact, we dont build any of the hamradio stuff.



Note You need to log in before you can comment on or make changes to this bug.